//
//  YHPreviewBasiceInformationViewController.swift
//  galaxy
//
//  Created by davidhuangA on 2024/2/25.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
/*
 *基本资料信息 预览
 */
class YHPreviewBasiceInformationViewController: YHPersonInfoBaseViewController {
    var arrData : [YHPreviewInfoSessionModel] = []
    override func viewDidLoad() {
        super.viewDidLoad()
        setupUI()
    }
    
    
}

private extension YHPreviewBasiceInformationViewController {
    func installData() {
        do {
            //主申请人
            let tmp0 = YHPreviewQuestionAndAnswerModel(question: "1、是否曾在香港或其他地方因任何罪行或违法行为被被定罪：", answer: "是",remark: "这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。")
            
            let tmp1 = YHPreviewQuestionAndAnswerModel(question: "2、是否曾在香港或其他地方被拒入境/递解/遣送或要求离境？", answer: "否")
            let tmp2 = YHPreviewQuestionAndAnswerModel(question: "3、是否曾被拒绝签发香港或其他地方的签证/进入许可？", answer: "否")
            let tmp3 = YHPreviewQuestionAndAnswerModel(question: "4、是否曾触犯香港或任何地方的入境法例？", answer: "是",remark: "我是测试数据哈我是测试数据哈我是测试数据哈我是测试数据哈我是测试数据哈我是测试数据哈我是测试数据哈我是测试数据哈")
            let tmp4 = YHPreviewQuestionAndAnswerModel(question: "5、是否曾经使用另一个姓名或身份申请香港入境签证/进入许可或进入香港？", answer: "否")
            let arr = [tmp0,tmp1,tmp2,tmp3,tmp4]
            let model1 = YHPreviewInfoSessionModel(cellType: .questionAndAnswer, cellTitle: "主申请人", cellData0: arr)
            arrData.append(model1)
        }
        
        
        
        do {
            //配偶
            let tmp0 = YHPreviewQuestionAndAnswerModel(question: "1、是否曾被拒绝入境/递解/遣送或要求离开香港？", answer: "是",remark: "这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。")
            
            let tmp1 = YHPreviewQuestionAndAnswerModel(question: "2、是否曾被拒绝签发签证/进入许可以入境香港？", answer: "否")
            let arr = [tmp0,tmp1]
            let model1 = YHPreviewInfoSessionModel(cellType: .questionAndAnswer, cellTitle: "配偶", cellData0: arr)
            arrData.append(model1)
        }
        
        
        do {
            //子女-1
            let tmp0 = YHPreviewQuestionAndAnswerModel(question: "1、是否曾被拒绝入境/递解/遣送或要求离开香港？", answer: "是",remark: "这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。")
            
            let tmp1 = YHPreviewQuestionAndAnswerModel(question: "2、是否曾被拒绝签发签证/进入许可以入境香港？", answer: "否")
            let arr = [tmp0,tmp1]
            let model1 = YHPreviewInfoSessionModel(cellType: .questionAndAnswer, cellTitle: "子女-1", cellData0: arr)
            arrData.append(model1)
        }
        
        
        
        do {
            //子女-2
            let tmp0 = YHPreviewQuestionAndAnswerModel(question: "1、是否曾被拒绝入境/递解/遣送或要求离开香港？", answer: "是",remark: "这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。这里是详细的犯罪记录或违法行为说明，这里是详细的犯罪记录或违法行为说明。")
            
            let tmp1 = YHPreviewQuestionAndAnswerModel(question: "2、是否曾被拒绝签发签证/进入许可以入境香港？", answer: "否")
            let arr = [tmp0,tmp1]
            let model1 = YHPreviewInfoSessionModel(cellType: .questionAndAnswer, cellTitle: "子女-2", cellData0: arr)
            arrData.append(model1)
        }
        
        
        
        do {
            //家庭背景
            let tmp0 = YHPreviewQuestionAndAnswerModel(question: "1、至少一名直系家庭成员（已婚配偶、父母、兄弟姐妹、子女）是现居于香港的香港永久性居民", answer: "不满足")
            let arr = [tmp0]
            let model1 = YHPreviewInfoSessionModel(cellType: .questionAndAnswer, cellTitle: "家庭背景", cellData0: arr)
            arrData.append(model1)
        }
        
        
        
        do {
            //家庭背景2
            let tmp0 = YHPreviewQuestionAndAnswerModel(question: "1、至少一名直系家庭成员（已婚配偶、父母、兄弟姐妹、子女）是现居于香港的香港永久性居民", answer: "满足",remark: "张三、李四、王五")
            let arr = [tmp0]
            let model1 = YHPreviewInfoSessionModel(cellType: .questionAndAnswer, cellTitle: "家庭背景2-测试满足的情况", cellData0: arr)
            arrData.append(model1)
        }
    }
    
    func setupUI() {
        installData()
        
        self.homeTableView.register(YHPreviewInfoCell.self,forCellReuseIdentifier: YHPreviewInfoCell.cellReuseIdentifier)
        self.homeTableView.reloadData()
    }
}



// MARK: - UITableViewDelegate 和 UITableViewDataSource
extension YHPreviewBasiceInformationViewController {
    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return arrData.count
    }
    
    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withClass: YHPreviewInfoCell.self)
        cell.selectionStyle = .none
        cell.model = arrData[indexPath.row]
        return cell
    }
}
